package com.ximai.mes.dv.domain.vo;

import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;
import com.ximai.mes.dv.domain.devBrandQuotation.DvBrandQuotationBom;

import java.math.BigDecimal;
import java.util.List;

public class DvBrandQuotationVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** ID */
    private Long brandQuotationId;

    /** 编号 */
    @Excel(name = "编号")
    private String brandQuotationCode;

    /** 名称 */
    @Excel(name = "名称")
    private String brandQuotationName;

    /** 品牌id */
    @Excel(name = "品牌id")
    private Long brandId;


    private String brandName;

    /** 产品id */
    @Excel(name = "产品id")
    private Long itemId;

    private String itemName;

    /** 工艺路线id */
    @Excel(name = "工艺路线id")
    private Long routeId;
    private String routeName;

    /** 总金额 */
    @Excel(name = "总金额")
    private BigDecimal amount;

    /** 总金额 */
    @Excel(name = "备注")
    private String remark;

    /** Bom列表 */
    private List<DvBrandQuotationBom> bomList;
    private List<DvBrandQuotationProcessVo> processList;

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getBrandQuotationId() {
        return brandQuotationId;
    }

    public void setBrandQuotationId(Long brandQuotationId) {
        this.brandQuotationId = brandQuotationId;
    }

    public String getBrandQuotationCode() {
        return brandQuotationCode;
    }

    public void setBrandQuotationCode(String brandQuotationCode) {
        this.brandQuotationCode = brandQuotationCode;
    }

    public String getBrandQuotationName() {
        return brandQuotationName;
    }

    public void setBrandQuotationName(String brandQuotationName) {
        this.brandQuotationName = brandQuotationName;
    }

    public Long getBrandId() {
        return brandId;
    }

    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public Long getRouteId() {
        return routeId;
    }

    public void setRouteId(Long routeId) {
        this.routeId = routeId;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public List<DvBrandQuotationBom> getBomList() {
        return bomList;
    }

    public void setBomList(List<DvBrandQuotationBom> bomList) {
        this.bomList = bomList;
    }

    public List<DvBrandQuotationProcessVo> getProcessList() {
        return processList;
    }

    public void setProcessList(List<DvBrandQuotationProcessVo> processList) {
        this.processList = processList;
    }







}
